Notifications
Clear all

After V2 upgrade, many things are not working.

20 Posts
3 Users
2 Likes
434 Views
JeffJJones
Posts: 37
Topic starter
(@jeffjjones)
Eminent Member
Joined: 3 years ago

Thanks for all the work that I know goes into a new version of any software product. But this auto upgrade did not go well on my forums ( https://birdersdiary.com/forums/).  

  • Lost the side bar; search capabilities; topic tags, and whatever else was there.
  • It shows that all posts in the both forums are NEW, when there should be no new posts for me.

I am not a heavyweight WordPress user, so any answers will probably need specific instructions.

Let's start here. Thanks. 

Topic Tags
v2
19 Replies
JeffJJones
Posts: 37
Topic starter
(@jeffjjones)
Eminent Member
Joined: 3 years ago

I should have mentioned that I saw another post about losing the sidebar in these forums after the upgrade to v2, but the solution didn't work for me and/or I was unable to follow it completely (missing info, and instructions provided did not match what I was seeing).

Reply
1 Reply
Robert
Admin
(@robert)
Joined: 7 years ago

Support Team
Posts: 9966

@jeffjjones ,

Please wait for the next 2.0.3 version update, it'll revert the sidebar if you have not configured a new sidebar. The update will be released today.

Reply
JeffJJones
Posts: 37
Topic starter
(@jeffjjones)
Eminent Member
Joined: 3 years ago
Posted by: @robert

Please wait for the next 2.0.3 version update, it'll revert the sidebar if you have not configured a new sidebar. The update will be released today.

Fantastic! I assumed that a new bug-fix update would probably be coming.

In addition, I just now find that my Attachments (the ability to Ctrl+V screenshots directly into my posts/replies) are no longer working. This is a HUGE part of my support process. Will 2.0.3 fix this?

Reply
1 Reply
Robert
Admin
(@robert)
Joined: 7 years ago

Support Team
Posts: 9966

@jeffjjones ,

It's clearly mentioned in the release summary, in the update changelog and in the update instruction that old addons are not compatible with wpForo v2, you should update addons to 3.0.x verion before updating wpForo to 2.0.x.

Now, just update your addon to the latest 3.0.0 version and all will be ok.

Reply
JeffJJones
Posts: 37
Topic starter
(@jeffjjones)
Eminent Member
Joined: 3 years ago

Robert,

I appreciate your assistance here. I also create and supply software solutions to my customer base - 27 years in business. So I understand a bit about providing updates and what to expect from customers and what to provide for them.

With auto-update turned on in WordPress, there is no advance warning of reviewing release notes, instructions or change logs. The update happens, and many things that were working are now not working. So, a tool that I expect to save me time and give my customers intuitive access to support forums is now costing me a great deal of time with the added benefit of many customers complaining to me about the forums not working as before. So, I am fighting fires on two fronts now.

In my opinion, this is poor release planning on your parts and I would hope that future releases take into account these types of things.

No question, your product is fantastic. Just saying that new releases should not cause more problems than they are meant to solve for your customers.

With that said, I assume that the screenshot-paste-into-post add-on is Advanced Attachments. Yes??? You know, we admins add and configure these things years ago, and then forget about them as long as everything runs well up until this sort of thing happens. If I go to wpForo >> Addons and look at this addon, it says "v2.0.4". If I click on details, I can't find anything that says it has a v3.0 available. So, can you please give a bit more instructions about what to update exactly and how to update it exactly? I am happy to do so, just need a bit more assistance.

Thanks. And I hope you take this criticism as it was meant, constructive and helpful. I appreciate when my customers tell me things even if I don't want to hear them.

Reply
JeffJJones
Posts: 37
Topic starter
(@jeffjjones)
Eminent Member
Joined: 3 years ago

More on this...

If I go to Plugins >> Installed Plugins, I see that "wpforo advanced attachments (2.1.2)" and "wpforo embeds (2.0.13)" are both there, but not activated.

No clear option for updating each of these addons/plugins to v3 that I can find. I am sure it must be simple, but I am not finding it. Any pointers would be greatly appreciated.

 

Reply
2 Replies
Robert
Admin
(@robert)
Joined: 7 years ago

Support Team
Posts: 9966

@jeffjjones,

The next 2.0.3 version will not allow you to activate the old addons, when you click the activate button you'll get an alert saying your addons are not compatible with wpForo 2.0.

However we've informed our users in the release summary, in the update changelog and in the update instruction that old addons are not compatible with wpForo v2, you should update addons to 3.0.x verion before updating wpForo to 2.0.x.

https://wpforo.com/community/wpforo-announcements/wpforo-2-0-1-is-released/

Reply
JeffJJones
(@jeffjjones)
Joined: 3 years ago

Eminent Member
Posts: 37

@robert You don't state how to update to v3 of the addons. There is no update notification and going to the gVector site is not intuitive.

Reply
Page 1 / 3